


predefined-aliases(n)     Soar Commands     predefined-aliases(n)



_________________________________________________________________

NAME
     Soar predefined-aliases


DESCRIPTION
     There are a number of command aliases that are  provided  by
     Soar.   These are used to provide short versions of built in
     commands and to provide syntactic continuity  with  previous
     versions of Soar.  Soar provides a predefined set of aliases
     that will be useful to most users.

     These aliases are equivalent to an existing built in command
     and  (possibly)  a  set  of switches for the command.  Addi-
     tional arguments given after the alias are passed on to  the
     built in command.

     The predefined aliases in $soar_library/soar.tcl are:

          ?    A short form of the help command.

          d    A short form of the run 1 d command.

          e    A short form of the run 1 e command.

          pf   A short form of the production-find command.

          step A short form of the run 1  d  command.   This  was
               added  because  the TSI provides a "step" command,
               and it seemed silly to not allow  the  same  "com-
               mand" when running Soar without the TSI.

          wmes Prints the contents  of  working  memory.   It  is
               equivalent  to print -depth 0 -internal, therefore
               an identifier, integer, or  wme  pattern  must  be
               specified.  (see "help print" for more info).

     Additional aliases are defined  in  $soar_library/soar7.2km-
     aliases.tcl.   These  aliases  were  derived by Frank Ritter
     using commonly used  and  psychologically  supported  rules,
     computed to save users time and errors.  The rules are based
     on the keystroke model and designed to be learned by a  com-
     mand name rule.



     Most of the aliases are generated with a rule:

     If there are multiple words, use their first letters
          (29 commands with  some  exceptions,  the  most  common
          being indifferent-selection:inds)



Soar                     Last change:                           1






predefined-aliases(n)     Soar Commands     predefined-aliases(n)



     If there is a single long word (6 letters or more), use the
          first two letters   (8 commands, 0 exceptions)

     If there is a short word, use the first letter
          (14 commands with 6 exceptions, none common)

     The predefined aliases are:

     a    Equivalent to alias.

     aw   Equivalent to add-wme.

     cnf  Equivalent to chunk-name-format.

     ctf  Equivalent to command-to-file.

     ea   Equivalent to excise -all.

     eb   Equivalent to explain-backtraces.

     ec   Equivalent to excise -chunk.

     et   Equivalent to excise -task.

     ex   Equivalent to excise.

     fc   Equivalent to firing-counts.

     fw   Equivalent to format-watch.

     h    Equivalent to help.

     ha   Equivalent to help -all.

     help-all
          Equivalent to help -all.

     inds Equivalent to indifferent-selection.

     ip   Equivalent to input-period.

     is   Equivalent to init-soar.

     l    Equivalent to learn.

     m    Equivalent to matches.

     osd  Equivalent to output-string-destination.

     p    Equivalent to print.

     pc   Equivalent to print -chunks.



Soar                     Last change:                           2






predefined-aliases(n)     Soar Commands     predefined-aliases(n)



     pf   Equivalent to production-find.

     pr   Equivalent to preferences.

     ps   Equivalent to print -stack.

     pw   Equivalent to pwatch.

     r    Equivalent to run.

     rn   Equivalent to rete-net.

     rw   Equivalent to remove-wme.

     s    Equivalent to source.

     sn   Equivalent to soarnews.

     soar-news
          Equivalent to soarnews.

     ss   Equivalent to stop-soar.

     st   Equivalent to stats.

     un   Equivalent to unalias.

     w    Equivalent to watch.



     See the file itself (soar7.2km-aliases.tcl in $soar_library)
     for more detailed information.

NOTES
     Tcl and the TSI, when running in interactive mode, also sup-
     port  command abbreviation:  as long as a unique prefix of a
     command is specified, it will be recognized and the matching
     command  will  be executed.  For example, "wat" is enough to
     completely specify the "watch" command.


WARNINGS
     Aliases should NEVER appear in files.  They may  be  changed
     or  not   loaded by other users, and will not be as clear as
     the full command names.









Soar                     Last change:                           3






predefined-aliases(n)     Soar Commands     predefined-aliases(n)



FILES
     All alias definition files  are  in  the  Soar  Tcl  library
     directory.   The  predefined  aliases  are  included  in the
     startup file soar.tcl  and  in  soar7.2km-aliases.tcl.   The
     aliases  are loaded in a Soar interpreter automatically when
     it is created.


SEE ALSO
     alias, print













































Soar                     Last change:                           4



