'\"
'\" Soar man page 
'\"
.so man.macros
.HS alias soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
alias \- Define a new Soar alias
.SH SYNOPSIS
\fBalias\fR [\fIname\fR [\fIdefinition\fR | \fI-off\fR]]
.BE

.SH DESCRIPTION
.PP
This command defines new aliases by creating Tcl procedures
with the given \fIname\fR.  The new procedure can then take an arbitrary
number of arguments which are post-pended to the given \fIdefinition\fR
and then that entire string is executed as a command.  When invoked,
the command is executed at the global level as if typed in from
the interactive command line interpreter.  The \fIdefinition\fR must
be a single command, ';' for multiple commands is not allowed.  If more 
complex aliases are desired, then the Tcl \fBproc\fR command can be used
to define a new procedure.  The \fBalias\fR procedure 
checks to see if the \fIname\fR already exists, and does not 
destroy existing procedures or aliases by the same name.  

Existing aliases can be removed by using the command \fBunalias\fR, 
or by specifying \fB alias \fIname -off\fR\fR.

With no arguments, \fBalias\fR returns the list of defined aliases.

With only the \fIname\fR given, \fBalias\fR returns the current definition.


.SH EXAMPLES
.PP
The command \fBwmes\fR is an alias which is defined as follows:
.DS
\fBalias wmes print -depth 0 -internal\fR
.DE
.PP
If the user executes a command such as:
.DS
\fBwmes {(* ^superstate nil)}\fR
.DE
.PP
it is as if the user had typed this command:
.DS
\fBprint -depth 0 -internal {(* ^superstate nil)}\fR
.DE
.SH WARNINGS
.PP
\f Alias is also a Tcl command that is used when creating slave
interps.  In Tcl, it is used to allow slave interps to call procs that
are defined in the master interp.  See the Tcl help file in your system.

 
.SH FILES
.TP
\fBsoar.tcl\fR and \fBsoar7.2km-aliases.tcl\fR 

The aliases for Soar provided upon startup are defined in these files.
The files are located in the \fB$soar_library\fR directory (folder).

.SH SEE ALSO
\fBunalias\fR, \fBrename\fR, \fBproc\fR,  \fBpredefined-aliases\fR,
and Tcl Help for the \fBinterp\fR and \fBalias\fR commands

