'\"
'\" Soar man page 
'\"
.so man.macros
.HS chunk-name-format soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
chunk-name-format \- Specify format of names of newly created chunks
.SH SYNOPSIS
\fBchunk-name-format\fR [\fB-short | -long\fR] [\fB-prefix\fR [\fI<prefix>\fR]] [\fB-count\fR [\fI<chunk-num>\fR]]
.BE

.SH DESCRIPTION
.PP
The \fBchunk-name-format\fR command specifies the format to be used when 
naming newly created chunks.  The short format is:
.DS
\fI<prefix>\fR-\fI<chunk-num>\fR
.DE
.PP
The long format is:
.DS
\fI<prefix>-<chunk-num>\fR*d\fI<dc>*<impasse-type>*<dc-chunk-num>\fR
.DE
.PP
where:
.TP
\fI<prefix>\fR
is a user-definable prefix string; \fI<prefix>\fR defaults to "chunk" when 
unspecified by the user;
.TP
\fI<chunk-num>\fR
is 1 for the first chunk created, 2 for the second
chunk created, and so on. 
.TP
\fI<dc>\fR
is the number of the decision cycle in which the chunk was formed;
.TP
\fI<impasse-type>\fR
is [\fBtie | conflict | cfailure | snochange | opnochange\fR]
.TP
\fI<dc-chunk-num>\fR
is the number of the chunk within that specific decision cycle.
.PP
Notes:
.TP
1
The \fI<prefix>\fR string may not contain the '*' character.  (The 
\fBchunk-name-format\fR command enforces this constraint.)  The '*'
character marks the ending of the number of the chunk, and 
chunk numbers are examined during production loading to allow 
a starting chunk number to be identified automatically.
.TP
2
\fI<impasse-type>\fR is the impasse of the lowest goal that has
a result generated by this chunk.

.SH OPTIONS
.PP
.TP
\fB-short\fR
When generating chunk names, use the short format.
(See the DESCRIPTION section for details.)
.TP
\fB-long\fR
When generating chunk names, use the long format.
(See the DESCRIPTION section for details.)
This is the default format for Soar.
.TP
\fB-prefix\fR [\fI<prefix>\fR]
When generating chunk names, use the string \fI<prefix>\fR.
\fI<prefix>\fR is initially "chunk".
When \fI<prefix>\fR is unspecified, return the current \fI<prefix>\fR.
.TP
\fB-count\fR [\fI<chunk-num>\fR]
Set chunk counter to \fI<chunk-num>\fR.
\fI<chunk-num>\fR cannot be reset to a number lower than the
smallest chunk number of any loaded chunk.
When \fI<chunk-num>\fR is unspecified, return the current \fI<chunk-num>\fR.

.SH EXAMPLES
.TP
\fBchunk-name-format -short -prefix "chunk" -count 0\fR
To cause chunks to be named according to the "old" scheme.
.TP
\fBchunk-name-format -prefix "new-chunk"\fR
To begin naming a new sequence of chunks.
.TP
\fBchunk-name-format -count 1000\fR
To begin numbering a new sequence of chunks at 1000.
.TP
\fBchunk-name-format -count\fR
To retrieve the next \fI<chunk-num>\fR that will be used to form a chunk name.







