'\"
'\" Soar man page 
'\"
.so man.macros
.HS default-wme-depth soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
default-wme-depth \- Set or list the default print depth
.SH SYNOPSIS
\fBdefault-wme-depth \fR[\fIdepth\fR]
.BE

.SH DESCRIPTION
.PP
This command sets and prints the default printing depth.
If \fIdepth\fR is not given, this command prints the default
printing depth.  If \fIdepth\fR is given, it must be a positive 
integer and is used to reset the default printing depth.
.PP
The "default-wme-depth" parameter is used to control the
default printing depth of the \fBprint\fR command.  
The default initial setting of the "default-wme-depth" 
parameter is 1.

.SH EXAMPLES
.PP
The command issued with no arguments, returns the print depth:
.DS
\fBdefault-wme-depth\fR 
.DE 
.PP
The next example makes use of Tcl command abbreviation while setting
the depth to 3:
.DS
\fBdef  3\fR 
.DE


.SH VARIABLE
Note that the commandname uses dashes to separate the words.  There
is also a Soar variable "default_wme_depth" (with underscores)
that can be used to set the print depth through the the Tcl
\fIset\fR command. If \fIdepth\fR is not given, the Tcl \fIset\fR
commands prints the default printing depth.  If \fIdepth\fR is given,
it must be a positive integer and is used to reset the default
printing depth.
.PP
.TP
\fBset default_wme_depth\fR           returns the current depth
.TP
\fBset default_wme_depth 3\fR         sets the depth to 3
.PP
Soar variables cannot be abbreviated in the same manner as commandnames.

.SH WARNINGS
.PP
This parameter can be overridden in any invocation of the 
\fBprint\fR command by using the \fB-depth\fR option.

.SH SEE ALSO
\fBprint\fR, \fBvariables\fR



