'\"
'\" Soar man page 
'\"
.so man.macros
.HS explain-backtraces soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
explain-backtraces \- Interpret chunking backtraces
.SH SYNOPSIS
\fBexplain-backtraces\fR [\fIprodnamename\fR [\fIn\fR | \fB-full\fR] ]
.BE

.SH DESCRIPTION
.PP
This command provides some interpretation of backtraces generated 
during chunking.  If no option is given, then a list of all chunks
and justifications is printed.  
.PP
The two most useful variants are \fBexplain-backtraces\fR \fIprodname\fR and
\fBexplain-backtraces\fR \fIname n\fR.
The first variant lists all of the conditions for the named
chunk or justification, and the \fIground\fR which resulted in
inclusion in the chunk/justification.  A \fIground\fR is a 
working memory element (WME) which was tested in the supergoal.
Just knowing which WME was 
tested may be enough to explain why the chunk/justification 
exists.  If not, the conditions can be listed with an integer 
value.  This value can be used in 
\fBexplain-backtraces\fR \fIname n\fR 
to obtain a list of the productions which fired to obtain this
condition in the chunk/justification (and the crucial WMEs 
tested along the way).  Why use an integer value to specify the 
condition?  To save a big parsing job.  

.SH OPTIONS
.PP
If an option is given, it must match one of the following forms:
.TP
\fIname\fR
list all conditions and grounds for the chunk or justification named
\fIname\fR
.TP
\fIname\fR \fB-full\fR
provide a backtrace for the chunk or justification named \fIname\fR
.TP
\fIname n \fR
explain why condition number \fIn\fR is in the chunk or
justification

.SH WARNINGS
.PP
\fBsave_backtraces\fR mode must be on when a chunk or
justification is created or no explanation will be available.
Explain-backtraces mode is toggled using the \fBsave_backtraces\fR
boolean variable.  \fBsave_backtraces\fR is \fBoff\fR by default.
When explain mode is on, more memory is used, and building
chunks and justifications will be slower. 

.SH SEE ALSO 
\fIsave_backtraces\fR, \fIvariables\fR


