'\"
'\" Soar man page 
'\"
.so man.macros
.HS firing-counts soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
firing-counts \- Print production firing counts
.SH SYNOPSIS
\fBfiring-counts\fR [\fIinteger\fR | \fIproduction-names\fR]
.BE

.SH DESCRIPTION
.PP
This command prints information about production firings.
If an option is not given, then all productions are printed in
a sorted list according to how many times they have fired.  

.SH OPTIONS

If given, an option can take one of two forms -- an integer or a list
of production names:
.TP
\fIinteger\fR
List the top \fIinteger\fR productions.  If \fIinteger\fR is 0,
only the productions which haven't fired are listed.
.TP
\fIproduction-names\fR
For each production in \fIproduction-names\fR, print how many 
times the production has fired.

.SH EXAMPLES
This example prints the 10 productions which have fired the most
times along with their firing counts:
.DS
\fBfiring-counts 10\fR
.DE
.PP
This example prints the firing counts of productions 
my*first*production and my*second*production:
.DS
\fBfiring-counts my*first*production my*second*production\fR
.DE

.SH WARNINGS
.PP
firing-counts are reset to zero after an init-soar
.PP
\fBNB\fR:  This command is slow, because the sorting takes time
O(n*log n)

