'\"
'\" Soar man page 
'\"
.so man.macros
.HS indifferent-selection soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
indifferent-selection \- Control indifferent preference arbitration
.SH SYNOPSIS
\fBindifferent-selection \fR[\fB-first\fR | \fB-last\fR | \fB-ask\fR | \fB-random\fR]
.BE

.SH DESCRIPTION
.PP
This command controls indifferent preference arbitration.  When
an indifferent preference tie is created among two or more items,
then the "indifferent-selection" parameter is used by the Soar decision
procedure to control the selection of one item to resolve the tie
and avoid an impasse.
.PP
If no option is given, this command prints the current setting of 
the "indifferent-selection" parameter.  If an option is given, it is
used to guide the resolution of indifferent preference ties.  At
startup, the default setting of the "indifferent-selection" parameter is
\fB-random\fR.

.SH OPTIONS
If given, the option must match one of the following:
.TP
\fB-first\fR
Choose the first object found (deterministically)
.TP
\fB-last\fR
Choose the last object found (deterministically)
.TP
\fB-ask\fR
Ask the user to choose one of the items
.TP
\fB-random\fR
Choose an object randomly.  This is the default setting.
.PP
.SH WARNINGS

\fB\-ask\fR currently only works under Unix, when Soar is run from
the console window (not the TSI).  This is because indifferent-selection
is handled deep in the kernel, and the kernel has no knowledge of
Tcl, and therefore no information on how to read data from anywhere
except stdin.
