'\"
'\" Soar man page 
'\"
.so man.macros
.HS predefined-aliases soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
Soar predefined-aliases

.SH DESCRIPTION
.PP
There are a number of command aliases that are provided by Soar.
These are used to provide short versions of built in commands
and to provide syntactic continuity with previous versions of
Soar.  Soar provides a predefined set of aliases that will be
useful to most users.  
.PP
These aliases are equivalent to an existing built in command
and (possibly) a set of switches for the command.  Additional
arguments given after the alias are passed on to the built in
command.
.PP
The predefined aliases in $soar_library/soar.tcl are:
.RS
.TP
\fB?\fR
A short form of the \fBhelp\fR command.
.TP
\fBd\fR
A short form of the \fBrun 1 d\fR command.
.TP
\fBe\fR
A short form of the \fBrun 1 e\fR command.
.TP
\fBpf\fR
A short form of the \fBproduction-find\fR command.
.TP
\fBstep\fR
A short form of the \fBrun 1 d\fR command.  This was added because the
TSI provides a "step" command, and it seemed silly to not allow the
same "command" when running Soar without the TSI.
.TP
\fBwmes\fR
Prints the contents of working memory.  It is equivalent to 
\fBprint -depth 0 -internal\fR, therefore an identifier, integer, or
wme pattern must be specified.  (see "help print" for more info).
.PP
.RE
.PP 
Additional aliases are defined in $soar_library/soar7.2km-aliases.tcl.
These aliases were derived by Frank Ritter using commonly used and 
psychologically supported rules, computed to save users time and errors.
The rules are based on the keystroke model and designed to be learned by
a command name rule.



Most of the aliases are generated with a rule:
.TP
If there are multiple words, use their first letters 
(29 commands with some exceptions, the most common being 
indifferent-selection:inds)
.TP
If there is a single long word (6 letters or more), use the
first two letters   (8 commands, 0 exceptions)
.TP
If there is a short word, use the first letter
(14 commands with 6 exceptions, none common)
.PP
The predefined aliases are:
.PP
.TP
\fBa\fR
Equivalent to \fBalias\fR.
.TP
\fBaw\fR
Equivalent to \fBadd-wme\fR.
.TP
\fBcnf\fR
Equivalent to \fBchunk-name-format\fR.
.TP
\fBctf\fR
Equivalent to \fBcommand-to-file\fR.
.TP
\fBea\fR
Equivalent to \fBexcise -all\fR.
.TP
\fBeb\fR
Equivalent to \fBexplain-backtraces\fR.
.TP
\fBec\fR
Equivalent to \fBexcise -chunk\fR.
.TP
\fBet\fR
Equivalent to \fBexcise -task\fR.
.TP
\fBex\fR
Equivalent to \fBexcise\fR.
.TP
\fBfc\fR
Equivalent to \fBfiring-counts\fR.
.TP
\fBfw\fR
Equivalent to \fBformat-watch\fR.
.TP
\fBh\fR
Equivalent to \fBhelp\fR.
.TP
\fBha\fR
Equivalent to \fBhelp -all\fR.
.TP
\fBhelp-all\fR
Equivalent to \fBhelp -all\fR.
.TP
\fBinds\fR
Equivalent to \fBindifferent-selection\fR.
.TP
\fBip\fR
Equivalent to \fBinput-period\fR.
.TP
\fBis\fR
Equivalent to \fBinit-soar\fR.
.TP
\fBl\fR
Equivalent to \fBlearn\fR.
.TP
\fBm\fR
Equivalent to \fBmatches\fR.
.TP
\fBosd\fR
Equivalent to \fBoutput-string-destination\fR.
.TP
\fBp\fR
Equivalent to \fBprint\fR.
.TP
\fBpc\fR
Equivalent to \fBprint -chunks\fR.
.TP
\fBpf\fR
Equivalent to \fBproduction-find\fR.
.TP
\fBpr\fR
Equivalent to \fBpreferences\fR.
.TP
\fBps\fR
Equivalent to \fBprint -stack\fR.
.TP
\fBpw\fR
Equivalent to \fBpwatch\fR.
.TP
\fBr\fR
Equivalent to \fBrun\fR.
.TP
\fBrn\fR
Equivalent to \fBrete-net\fR.
.TP
\fBrw\fR
Equivalent to \fBremove-wme\fR.
.TP
\fBs\fR
Equivalent to \fBsource\fR.
.TP
\fBsn\fR
Equivalent to \fBsoarnews\fR.
.TP
\fBsoar-news\fR
Equivalent to \fBsoarnews\fR.
.TP
\fBss\fR
Equivalent to \fBstop-soar\fR.
.TP
\fBst\fR
Equivalent to \fBstats\fR.
.TP
\fBun\fR
Equivalent to \fBunalias\fR.
.TP
\fBw\fR
Equivalent to \fBwatch\fR.


.PP
See the file itself (soar7.2km-aliases.tcl in $soar_library) for
more detailed information.
.PP
.PP
.SH NOTES
.PP
Tcl and the TSI, when running in interactive mode, also support
command abbreviation:  as long as a unique prefix of a command
is specified, it will be recognized and the matching command
will be executed.  For example, "wat" is enough to completely
specify the "watch" command. 

.SH WARNINGS
Aliases should NEVER appear in files.  They may be changed
or not  loaded by other users, and will not be as clear as the
full command names.




.SH FILES
.PP
All alias definition files are in the Soar Tcl library directory.
The predefined aliases are included in the startup file 
\fBsoar.tcl\fR and in \fBsoar7.2km-aliases.tcl\fR.  The aliases are loaded in 
a Soar interpreter automatically when it is created.  

.SH SEE ALSO
\fBalias\fR, \fBprint\fR
