'\"
'\" Soar man page 
'\"
.so man.macros
.HS production-find soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
production-find \- Find matching Soar productions
.SH SYNOPSIS
\fBproduction-find\fR [\fB-lhs\fR | \fB-rhs\fR] [\fB-show-bindings\fR]
[\fB-chunks\fR | \fB-no-chunks\fR] {\fIpattern\fR}
.BE

.SH DESCRIPTION
.PP
The \fBproduction-find\fR command is used to find Soar productions by matching
a given \fIpattern\fR against the production components.  Productions
may be found that test a particular left-hand side pattern or 
produce particular right-hand side preferences.  For convenience, the
production-find command has the predefined alias \fBpf\fR.

.SH OPTIONS

If given, an option must match one of the following choices:
.TP
\fB-lhs\fR
The following \fIpattern\fR applies to the left-hand side of
productions.  This is the default.
.TP
\fB-rhs\fR
The following \fIpattern\fR applies to the right-hand side of
productions.
.TP
\fB-show-bindings\fR
Show the bindings associated with the following \fIpattern\fR.
.TP
\fB-chunks\fR
Search only for chunks (learned productions) that match the
following \fIpattern\fR.
.TP
\fB-nochunks\fR
Search all productions \fIexcept\fR chunks that match the
following \fIpattern\fR.
.PP
The syntax of
\fIpattern\fR is exactly the syntax of a sequence of clauses within
a Soar production.  In addition, the symbol \fB*\fR may be used as
a wildcard for an attribute or value.  Note that variables names
do not have to match the specific names used in productions.
.SH EXAMPLES
.PP
Find productions that test that some object \fBgumby\fR has an 
attribute \fBalive\fR with value \fBt\fR.  In addition, limit
the rules to only those that test an operator named \fBfoo\fR:
.DS
\fBproduction-find {(<s> ^gumby <gv> ^operator.name foo)(<gv> ^alive t)}\fR
.DE
.PP
Find productions that propose the operator \fBfoo\fR:
.DS
\fBproduction-find -rhs {(<x> ^operator <op> +)(<op> ^name foo)}\fR
.DE
.PP
Find chunks that test the attribute ^\fBpokey\fR:
.DS
\fBproduction-find -chunks {(<x> ^pokey *)}\fR
.DE

.SH WARNINGS

Note that curly braces or double quotes must be used around the
\fIpattern\fR to override the normal Tcl parsing.

.SH SEE ALSO
\fBsp\fR
