'\"
'\" Soar man page 
'\"
.so man.macros
.HS stop-soar soar
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
stop-soar \- Stop Soar
.SH SYNOPSIS
\fBstop-soar\fR [\fB -self \fR [reason-string] ]
.BE

.SH DESCRIPTION
.PP
Agents may be run using the \fBrun\fR command.
The \fBstop-soar\fR command stops any running Soar agents.  It 
sets a flag in the Soar kernel so that Soar will stop running at 
a "safe" point and return control to the user.  This operates exactly
as if the user had issued a control-C (SIGINT) interrupt to the Soar 
process.
.TP
\fB-self\fR
Stop only the soar agent where the command is issued.  All other agents
continue running as previously specified.
.TP
\fIreason-string\fR
An optional string following \fB-self\fR which will be printed
when Soar is stopped, to indicate why it was stopped.  If left
blank, no message will be printed when Soar is stopped.
.PP
This command is usually not issued at the command line prompt.  A
more common use of this command is as a side-effect of pressing a
button on a Graphical User Interface (GUI), or as a monitor to
be executed at a specific Soar Event.  For example, a user may
wish to examine an agent's "matches" after the Soar Decision Phase.
In order to do this in Soar 8, the user must register a monitor,
or callback, to issue the "stop-soar -self" command for the event,
after-decision-phase-cycle.
.PP

.SH EXAMPLES
.PP
This example shows how to stop Soar8 after this decision phase
using \fBstop-soar -self\fR in a monitor to stop after the
decision phase so that memory can be examined.
.DS
\fB monitor -add {stop-soar -self "after decision phase"} \
        after-decision-phase-cycle

.SH WARNINGS
If the graphical interface doesn't periodically do a Tcl "update"
command, then it may not be possible to interrupt a Soar agent
from the command line. 

.SH SEE ALSO
\fBrun\fR, \fBmonitor\fR, \fBmatches\fR

